using LinqToDB.Mapping;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasaBlazorApp3.Pojo
{
    [Table("Plan")]
    public class Plan
    {
        //主键
        [Column("Id")]
        public int Id { get; set; }
        //套餐名
        [Column("Name")]
        public string Name { get; set; }
        //套餐描述
        [Column("Description")]
        public string Description { get; set; }
        [Association(ThisKey = nameof(Id), OtherKey = nameof(PlanDetails.PlanId))]
        public List<PlanDetails> _PlanDetails { get; set; } = new();
        //添加时间
        [Column("AddTime")]
        public DateTime AddTime { get; set; }
        //可用状态：0不可用1可用
        [Column("usestate")]
        public int UseState { get; set; }
        //操作人
        [Column("operatorUser")]
        public int OperatorUser { get; set; }
        //审核人
        [Column("reviewerUser")]
        public int ReviewerUser { get; set; }

        [Column("machine_id")]
        public string MachineId { get; set; }
    }
}
